#!/usr/bin/perl
#
# $Header: //sapdb/V75/c_00/b_23/sys/src/install56/perl/SAPDB/Install/GnuTar.pm#1 $
# $DateTime: 2004/12/28 17:37:59 $
# $Change: 87292 $
#
# Desc: 

package SAPDB::Install::GnuTar;

sub import {
	# import GetMagic, 
	# because tgzmagic uses code from BuildInfo
	SAPDB::Install::Exporter::import SAPDB::Install::BuildInfo;
	local $SAPDB::Install::Exporter::ExportLevel = 1;
	SAPDB::Install::Exporter::import (@_);
	bootstrap SAPDB::Install::GnuTar;
}

sub BEGIN {
	@ISA = ('SAPDB::Install::Exporter');
	@EXPORT = ();
	my $repo = SAPDB::Install::Repository::GetCurrent ();
	my @neededPackages=(
		'Exporter'
	);
	foreach my $package (@neededPackages){
	  	unless (defined $repo->Eval ("SAPDB::Install::$package", 1.01)) {
                print join ("\n", $repo->GetErr)."\n";
                die;
        	}
		import ("SAPDB::Install::$package"); 
	}
}

sub AUTOLOAD {
	#print "$AUTOLOAD\n";
	die unless ($AUTOLOAD =~ "bootstrap");
	require DynaLoader;
	push @ISA, 'DynaLoader';
	bootstrap SAPDB::Install::GnuTar;
}

1;
