#!/usr/bin/perl
#
# $Header: //sapdb/V75/c_00/develop/sys/src/install/perl/SAPDB/Install/Exporter.pm#4 $
# $DateTime: 2004/01/15 13:25:19 $
# $Change: 62008 $
#
# Desc: 


package SAPDB::Install::Exporter;

sub BEGIN {
        $ExportLevel = 0;
		my $repo = SAPDB::Install::Repository::GetCurrent ();
		my @neededPackages=(
			'Trace'
		);
		foreach my $package (@neededPackages){
                  if ( defined $repo){
                    unless (defined $repo->Eval ("SAPDB::Install::$package", 1.01)) {
                      print join ("\n", $repo->GetErr)."\n";
                      die;
                    }
                    SAPDB::Install::Exporter::import ("SAPDB::Install::$package");
                  }#if
                  else {
                    eval "require SAPDB::Install::$package"; 
                    eval "SAPDB::Install::Exporter::import (\"SAPDB::Install::$package\")"; 
                  }#else
		}#foreach
}



sub import {
    my $pkg = shift;
    my $callpkg = caller ($ExportLevel);
    my ($cPack,$cScript,$cLine)=caller;
    TraceMsg("start importing symbols from $pkg into $cPack\n",4,\$DEBUG,2);			
    local @exports = @{"${pkg}::EXPORT"};
    foreach (@exports) {
		s/^(\W)// and $type = $1 or $type='&';
		TraceMsg("import symbol $type$_\n",5,\$DEBUG,2);
	    *{"${callpkg}::$_"} = 
        $type eq '&' ? \&{"${pkg}::$_"} :
        $type eq '$' ? \${"${pkg}::$_"} :
        $type eq '@' ? \@{"${pkg}::$_"} :
        $type eq '%' ? \%{"${pkg}::$_"} :
        $type eq '*' ? \*{"${pkg}::$_"} :
        undef;
    }
}

1;
